diff -r 28d35eb6698f debug.c
--- a/debug.c	Sat Jan 08 22:24:08 2011 +0200
+++ b/debug.c	Tue Jan 11 16:35:51 2011 +0100
@@ -395,6 +395,7 @@
 	bmp_printf(FONT_MED, 20, 420, "CMOS Temperat: %d", efic_temp);
 	bmp_printf(FONT_MED, 20, 440, "Lens: %s          ", lens_info.name);
 }
+CONFIG_INT("debug.show.seconds", show_seconds,0);
 void display_clock()
 {
 	bmp_enabled = 1;
@@ -403,7 +404,15 @@
 
 	struct tm now;
 	LoadCalendarFromRTC( &now );
-	bmp_printf(fnt, 200, 410, "%02d:%02d", now.tm_hour, now.tm_min);
+
+	if (show_seconds)
+	{
+		// display second, small font
+		fnt = FONT(FONT_MED, 80, bg);
+		bmp_printf(fnt, 200, 410, "%02d:%02d:%02d", now.tm_hour, now.tm_min, now.tm_sec);
+	}
+	else
+		bmp_printf(fnt, 200, 410, "%02d:%02d", now.tm_hour, now.tm_min);
 }
 
 
@@ -720,7 +729,7 @@
 	// Parse our config file
 	const char * config_filename = "B:/magic.cfg";
 	global_config = config_parse_file( config_filename );
-	bmp_printf( FONT_MED, 0, 70,
+	bmp_printf( FONT_MED, 0, 140,
 		"Config file %s: %s",
 		config_filename,
 		global_config ? "YES" : "NO"
diff -r 28d35eb6698f shoot.c
--- a/shoot.c	Sat Jan 08 22:24:08 2011 +0200
+++ b/shoot.c	Tue Jan 11 16:35:51 2011 +0100
@@ -588,7 +588,8 @@
 
 
 int hdr_steps = 1;
-CONFIG_INT("hdr.stepsize", hdr_stepsize, 8);
+CONFIG_INT("hdr.stepsizemin", hdr_stepsizemin, 4);
+CONFIG_INT("hdr.stepsize", hdr_stepsize, 4);
 
 static void 
 hdr_display( void * priv, int x, int y, int selected )
@@ -606,9 +607,10 @@
 		bmp_printf(
 			selected ? MENU_FONT_SEL : MENU_FONT,
 			x, y,
-			"HDR Brack:%dx%dEV",
+			"HDR Brack:%dx%d.%dEV",
 			hdr_steps, 
-			hdr_stepsize / 8
+			hdr_stepsize / 8,
+			(10*(hdr_stepsize-(hdr_stepsize/8)*8)/8)
 		);
 	}
 	bmp_printf(FONT_MED, x + 440, y, "[SET ]\n[DISP]");
@@ -624,14 +626,14 @@
 static void
 hdr_stepsize_toggle( void * priv )
 {
-	hdr_stepsize = mod(hdr_stepsize, 40) + 8;
+	hdr_stepsize = mod(hdr_stepsize, 40) + hdr_stepsizemin;
 }
 
 static void
 hdr_reset( void * priv )
 {
 	hdr_steps = 1;
-	hdr_stepsize = 8;
+	hdr_stepsize = hdr_stepsizemin;
 }
 
 int mov_test_en = 0;
@@ -917,7 +919,7 @@
 	fnt = FONT(FONT_MED, 80, bg);
 	
 	if (hdr_steps > 1)
-		bmp_printf(fnt, 380, 450, "HDR %dx%dEV", hdr_steps, hdr_stepsize/8);
+		bmp_printf(fnt, 380, 450, "HDR %dx%d.%dEV", hdr_steps, hdr_stepsize/8, (10*(hdr_stepsize-(hdr_stepsize/8)*8)/8));
 	else
 		bmp_printf(fnt, 380, 450, "           ");
 
@@ -939,8 +941,12 @@
 	while(1)
 	{
 		msleep(10);
-		if (gui_state == GUISTATE_PLAYMENU)
+		if (gui_state == GUISTATE_PLAYMENU || gui_state == GUISTATE_MENUDISP)
 		{
+			if ((intervalometer_running + lcd_release_running + audio_release_running)>0)
+			{
+				bmp_printf(FONT_MED, 20, (lv_drawn() ? 40 : 3), "Stopped                                             ");
+			}
 			intervalometer_running = 0;
 			lcd_release_running = 0;
 			audio_release_running = 0;
@@ -1006,7 +1012,7 @@
 			for (i = 0; i < timer_values[interval_timer_index] - 1; i++)
 			{
 				msleep(1000);
-				if (intervalometer_running) bmp_printf(FONT_MED, 20, (lv_drawn() ? 40 : 3), "Press PLAY or MENU to stop the intervalometer.");
+				if (intervalometer_running) bmp_printf(FONT_MED, 20, (lv_drawn() ? 40 : 3), "Press PLAY or MENU to stop the intervalometer...%d   ", timer_values[interval_timer_index] - i - 1);
 				if (gui_menu_shown() || gui_state == GUISTATE_PLAYMENU) continue;
 			}
 		}
